Bug 813811 - SELinux is preventing /usr/bin/vmnet-dhcpd from 'remove_name' accesses on the directory /etc/vmware/vmnet1/dhcpd/dhcpd.leases~.
SELinux is preventing /usr/bin/vmnet-dhcpd from 'remove_name' accesses on the...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:e35474681b07439084dde3bb42a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 09:23 EDT by boatviolence
Modified: 2012-04-20 07:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 07:57:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description boatviolence 2012-04-18 09:23:34 EDT
libreport version: 2.0.10
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc17.x86_64
time:           Wed 18 Apr 2012 03:21:43 PM CEST

description:
:SELinux is preventing /usr/bin/vmnet-dhcpd from 'remove_name' accesses on the directory /etc/vmware/vmnet1/dhcpd/dhcpd.leases~.
:
:*****  Plugin restorecon (94.8 confidence) suggests  *************************
:
:If you want to fix the label. 
:/etc/vmware/vmnet1/dhcpd/dhcpd.leases~ default label should be vmware_sys_conf_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /etc/vmware/vmnet1/dhcpd/dhcpd.leases~
:
:*****  Plugin catchall_labels (5.21 confidence) suggests  ********************
:
:If you want to allow vmnet-dhcpd to have remove_name access on the dhcpd.leases~ directory
:Then you need to change the label on /etc/vmware/vmnet1/dhcpd/dhcpd.leases~
:Do
:# semanage fcontext -a -t FILE_TYPE '/etc/vmware/vmnet1/dhcpd/dhcpd.leases~'
:where FILE_TYPE is one of the following: tmp_t, vmware_log_t, vmware_sys_conf_t, var_run_t, var_log_t, vmware_host_pid_t, vmware_host_tmp_t, root_t. 
:Then execute: 
:restorecon -v '/etc/vmware/vmnet1/dhcpd/dhcpd.leases~'
:
:
:*****  Plugin catchall (1.44 confidence) suggests  ***************************
:
:If you believe that vmnet-dhcpd should be allowed remove_name access on the dhcpd.leases~ directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep vmnet-dhcpd /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:vmware_host_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:etc_t:s0
:Target Objects                /etc/vmware/vmnet1/dhcpd/dhcpd.leases~ [ dir ]
:Source                        vmnet-dhcpd
:Source Path                   /usr/bin/vmnet-dhcpd
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-110.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1
:                              SMP Tue Apr 10 20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   10
:First Seen                    Wed 11 Apr 2012 02:22:34 PM CEST
:Last Seen                     Tue 17 Apr 2012 10:02:19 PM CEST
:Local ID                      c031cbc4-f040-44cc-ab1b-c3f24eefe645
:
:Raw Audit Messages
:type=AVC msg=audit(1334692939.422:32): avc:  denied  { remove_name } for  pid=1076 comm="vmnet-dhcpd" name="dhcpd.leases~" dev="dm-0" ino=393245 scontext=system_u:system_r:vmware_host_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:etc_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1334692939.422:32): arch=x86_64 syscall=unlink success=no exit=EACCES a0=7f27ec374ca0 a1=7fffc412f877 a2=7f27e9738101 a3=27 items=0 ppid=1031 pid=1076 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=vmnet-dhcpd exe=/usr/bin/vmnet-dhcpd subj=system_u:system_r:vmware_host_t:s0-s0:c0.c1023 key=(null)
:
:Hash: vmnet-dhcpd,vmware_host_t,etc_t,dir,remove_name
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-20 07:57:12 EDT
:*****  Plugin restorecon (94.8 confidence) suggests  *************************
:
:If you want to fix the label. 
:/etc/vmware/vmnet1/dhcpd/dhcpd.leases~ default label should be
vmware_sys_conf_t.
:Then you can run restorecon.
:Do

# /sbin/restorecon -v /etc/vmware/vmnet1/dhcpd/dhcpd.leases~

Note You need to log in before you can comment on or make changes to this bug.